A tooltip in a tour step

### Hierarchy

- SCTourStepTooltip

## Index

### Properties

- canFail
- element
- position
- resolved
- text
- tries
- type

## Properties

### Optional canFail

canFail: undefined | false | true

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3947

Whether the tooltip may fail or not

### element

element: string | string[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3951

Element that the tooltip shall be pointing at or a list of elements to try in the specified order

### Optional position

position: "bottom" | "left" | "right" | "top"

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3955

Position of the tooltip

### Optional resolved

resolved: SCTourResolvedElement | SCTourResolvedEvent | SCTourResolvedLocation | SCTourResolvedMenu

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3959

How the step shall be resolved

### text

text: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3963

Text that the tooltip shall contain

### Optional tries

tries: undefined | number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3967

How often it shall be retried

### type

type: "tooltip"

- Defined in node_modules/@openstapps/core/lib/index.d.ts:3971

Type of the step

Generated using TypeDoc